diff --git a/src/backend/utils/mb/Unicode/convutils.pm b/src/backend/utils/mb/Unicode/convutils.pm
index 03151fa..12d279f 100644
--- a/src/backend/utils/mb/Unicode/convutils.pm
+++ b/src/backend/utils/mb/Unicode/convutils.pm
@@ -18,7 +18,8 @@ use constant {
 	NONE         => 0,
 	TO_UNICODE   => 1,
 	FROM_UNICODE => 2,
-	BOTH         => 3 };
+	BOTH         => 3
+};
 
 #######################################################################
 # read_source - common routine to read source file
@@ -56,7 +57,8 @@ sub read_source
 			comment   => $4,
 			direction => BOTH,
 			f         => $fname,
-			l         => $. };
+			l         => $.
+		};
 
 		# Ignore pure ASCII mappings. PostgreSQL character conversion code
 		# never even passes these to the conversion code.
@@ -370,9 +372,11 @@ sub print_radix_table
 	}
 
 	unshift @segments,
-	  { header  => "Dummy map, for invalid values",
+	  {
+		header  => "Dummy map, for invalid values",
 		min_idx => 0,
-		max_idx => $widest_range };
+		max_idx => $widest_range
+	  };
 
 	###
 	### Eliminate overlapping zeros
@@ -395,7 +399,8 @@ sub print_radix_table
 		for (
 			my $i = $seg->{max_idx};
 			$i >= $seg->{min_idx} && !$seg->{values}->{$i};
-			$i--)
+			$i--
+		  )
 		{
 			$this_trail_zeros++;
 		}
@@ -405,7 +410,8 @@ sub print_radix_table
 		for (
 			my $i = $nextseg->{min_idx};
 			$i <= $nextseg->{max_idx} && !$nextseg->{values}->{$i};
-			$i++)
+			$i++
+		  )
 		{
 			$next_lead_zeros++;
 		}
@@ -655,12 +661,14 @@ sub build_segments_recurse
 	if ($level == $depth)
 	{
 		push @segments,
-		  { header => $header . ", leaf: ${path}xx",
+		  {
+			header => $header . ", leaf: ${path}xx",
 			label  => $label,
 			level  => $level,
 			depth  => $depth,
 			path   => $path,
-			values => $map };
+			values => $map
+		  };
 	}
 	else
 	{
@@ -678,12 +686,14 @@ sub build_segments_recurse
 		}
 
 		push @segments,
-		  { header => $header . ", byte #$level: ${path}xx",
+		  {
+			header => $header . ", byte #$level: ${path}xx",
 			label  => $label,
 			level  => $level,
 			depth  => $depth,
 			path   => $path,
-			values => \%children };
+			values => \%children
+		  };
 	}
 	return @segments;
 }
@@ -776,7 +786,8 @@ sub make_charmap_combined
 				code        => $c->{code},
 				comment     => $c->{comment},
 				f           => $c->{f},
-				l           => $c->{l} };
+				l           => $c->{l}
+			};
 			push @combined, $entry;
 		}
 	}
diff --git a/src/bin/initdb/t/001_initdb.pl b/src/bin/initdb/t/001_initdb.pl
index 599460c..4fa4f94 100644
--- a/src/bin/initdb/t/001_initdb.pl
+++ b/src/bin/initdb/t/001_initdb.pl
@@ -25,15 +25,18 @@ mkdir $xlogdir;
 mkdir "$xlogdir/lost+found";
 command_fails(
 	[ 'initdb', '-X', $xlogdir, $datadir ],
-	'existing nonempty xlog directory');
+	'existing nonempty xlog directory'
+);
 rmdir "$xlogdir/lost+found";
 command_fails(
 	[ 'initdb', '-X', 'pgxlog', $datadir ],
-	'relative xlog directory not allowed');
+	'relative xlog directory not allowed'
+);
 
 command_fails(
 	[ 'initdb', '-U', 'pg_test', $datadir ],
-	'role names cannot begin with "pg_"');
+	'role names cannot begin with "pg_"'
+);
 
 mkdir $datadir;
 
@@ -72,7 +75,8 @@ SKIP:
 
 	command_ok(
 		[ 'initdb', '-g', $datadir_group ],
-		'successful creation with group access');
+		'successful creation with group access'
+	);
 
 	ok(check_mode_recursive($datadir_group, 0750, 0640),
 		'check PGDATA permissions');
diff --git a/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl b/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
index fdedd2f..4c5b855 100644
--- a/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
+++ b/src/bin/pg_archivecleanup/t/010_pg_archivecleanup.pl
@@ -11,7 +11,8 @@ my $tempdir = TestLib::tempdir;
 
 my @walfiles = (
 	'00000001000000370000000C.gz', '00000001000000370000000D',
-	'00000001000000370000000E',    '00000001000000370000000F.partial',);
+	'00000001000000370000000E',    '00000001000000370000000F.partial',
+);
 
 sub create_files
 {
@@ -28,27 +29,32 @@ create_files();
 command_fails_like(
 	['pg_archivecleanup'],
 	qr/must specify archive location/,
-	'fails if archive location is not specified');
+	'fails if archive location is not specified'
+);
 
 command_fails_like(
 	[ 'pg_archivecleanup', $tempdir ],
 	qr/must specify oldest kept WAL file/,
-	'fails if oldest kept WAL file name is not specified');
+	'fails if oldest kept WAL file name is not specified'
+);
 
 command_fails_like(
 	[ 'pg_archivecleanup', 'notexist', 'foo' ],
 	qr/archive location .* does not exist/,
-	'fails if archive location does not exist');
+	'fails if archive location does not exist'
+);
 
 command_fails_like(
 	[ 'pg_archivecleanup', $tempdir, 'foo', 'bar' ],
 	qr/too many command-line arguments/,
-	'fails with too many command-line arguments');
+	'fails with too many command-line arguments'
+);
 
 command_fails_like(
 	[ 'pg_archivecleanup', $tempdir, 'foo' ],
 	qr/invalid file name argument/,
-	'fails with invalid restart file name');
+	'fails with invalid restart file name'
+);
 
 {
 	# like command_like but checking stderr
@@ -59,7 +65,8 @@ command_fails_like(
 	like(
 		$stderr,
 		qr/$walfiles[1].*would be removed/,
-		"pg_archivecleanup dry run: matches");
+		"pg_archivecleanup dry run: matches"
+	);
 	foreach my $fn (@walfiles)
 	{
 		ok(-f "$tempdir/$fn", "$fn not removed");
@@ -73,9 +80,12 @@ sub run_check
 	create_files();
 
 	command_ok(
-		[   'pg_archivecleanup', '-x', '.gz', $tempdir,
-			$walfiles[2] . $suffix ],
-		"$test_name: runs");
+		[
+			'pg_archivecleanup', '-x', '.gz', $tempdir,
+			$walfiles[2] . $suffix
+		],
+		"$test_name: runs"
+	);
 
 	ok(!-f "$tempdir/$walfiles[0]",
 		"$test_name: first older WAL file was cleaned up");
diff --git a/src/bin/pg_basebackup/t/010_pg_basebackup.pl b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
index d7ab36b..05b0bbc 100644
--- a/src/bin/pg_basebackup/t/010_pg_basebackup.pl
+++ b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
@@ -40,7 +40,8 @@ system_or_bail 'pg_ctl', '-D', $pgdata, 'reload';
 
 $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/backup" ],
-	'pg_basebackup fails because of WAL configuration');
+	'pg_basebackup fails because of WAL configuration'
+);
 
 ok(!-d "$tempdir/backup", 'backup directory was cleaned up');
 
@@ -119,7 +120,8 @@ SKIP:
 is_deeply(
 	[ sort(slurp_dir("$tempdir/backup/pg_wal/")) ],
 	[ sort qw(. .. archive_status) ],
-	'no WAL files copied');
+	'no WAL files copied'
+);
 
 # Contents of these directories should not be copied.
 foreach my $dirname (
@@ -129,13 +131,15 @@ foreach my $dirname (
 	is_deeply(
 		[ sort(slurp_dir("$tempdir/backup/$dirname/")) ],
 		[ sort qw(. ..) ],
-		"contents of $dirname/ not copied");
+		"contents of $dirname/ not copied"
+	);
 }
 
 # These files should not be copied.
 foreach my $filename (
 	qw(postgresql.auto.conf.tmp postmaster.opts postmaster.pid tablespace_map current_logfiles.tmp
-	global/pg_internal.init))
+	global/pg_internal.init)
+  )
 {
 	ok(!-f "$tempdir/backup/$filename", "$filename not copied");
 }
@@ -143,14 +147,18 @@ foreach my $filename (
 # Unlogged relation forks other than init should not be copied
 ok(-f "$tempdir/backup/${baseUnloggedPath}_init",
 	'unlogged init fork in backup');
-ok( !-f "$tempdir/backup/$baseUnloggedPath",
-	'unlogged main fork not in backup');
+ok(
+	!-f "$tempdir/backup/$baseUnloggedPath",
+	'unlogged main fork not in backup'
+);
 
 # Temp relations should not be copied.
 foreach my $filename (@tempRelationFiles)
 {
-	ok( !-f "$tempdir/backup/base/$postgresOid/$filename",
-		"base/$postgresOid/$filename not copied");
+	ok(
+		!-f "$tempdir/backup/base/$postgresOid/$filename",
+		"base/$postgresOid/$filename not copied"
+	);
 }
 
 # Make sure existing backup_label was ignored.
@@ -159,9 +167,12 @@ isnt(slurp_file("$tempdir/backup/backup_label"),
 rmtree("$tempdir/backup");
 
 $node->command_ok(
-	[   'pg_basebackup', '-D', "$tempdir/backup2", '--waldir',
-		"$tempdir/xlog2" ],
-	'separate xlog directory');
+	[
+		'pg_basebackup', '-D', "$tempdir/backup2", '--waldir',
+		"$tempdir/xlog2"
+	],
+	'separate xlog directory'
+);
 ok(-f "$tempdir/backup2/PG_VERSION", 'backup was created');
 ok(-d "$tempdir/xlog2/",             'xlog directory was created');
 rmtree("$tempdir/backup2");
@@ -179,9 +190,12 @@ $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/backup_foo", '-Fp', "-T/foo=" ],
 	'-T with empty new directory fails');
 $node->command_fails(
-	[   'pg_basebackup', '-D', "$tempdir/backup_foo", '-Fp',
-		"-T/foo=/bar=/baz" ],
-	'-T with multiple = fails');
+	[
+		'pg_basebackup', '-D', "$tempdir/backup_foo", '-Fp',
+		"-T/foo=/bar=/baz"
+	],
+	'-T with multiple = fails'
+);
 $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/backup_foo", '-Fp', "-Tfoo=/bar" ],
 	'-T with old directory not absolute fails');
@@ -254,8 +268,10 @@ SKIP:
 		q{select pg_relation_filepath('tblspc1_unlogged')});
 
 	# Make sure main and init forks exist
-	ok( -f "$pgdata/${tblspc1UnloggedPath}_init",
-		'unlogged init fork in tablespace');
+	ok(
+		-f "$pgdata/${tblspc1UnloggedPath}_init",
+		'unlogged init fork in tablespace'
+	);
 	ok(-f "$pgdata/$tblspc1UnloggedPath", 'unlogged main fork in tablespace');
 
 	# Create files that look like temporary relations to ensure they are ignored
@@ -265,7 +281,11 @@ SKIP:
 		dirname(
 			dirname(
 				$node->safe_psql(
-					'postgres', q{select pg_relation_filepath('test1')}))));
+					'postgres', q{select pg_relation_filepath('test1')}
+				)
+			)
+		)
+	);
 
 	foreach my $filename (@tempRelationFiles)
 	{
@@ -276,20 +296,28 @@ SKIP:
 
 	$node->command_fails(
 		[ 'pg_basebackup', '-D', "$tempdir/backup1", '-Fp' ],
-		'plain format with tablespaces fails without tablespace mapping');
+		'plain format with tablespaces fails without tablespace mapping'
+	);
 
 	$node->command_ok(
-		[   'pg_basebackup', '-D', "$tempdir/backup1", '-Fp',
-			"-T$shorter_tempdir/tblspc1=$tempdir/tbackup/tblspc1" ],
-		'plain format with tablespaces succeeds with tablespace mapping');
+		[
+			'pg_basebackup', '-D', "$tempdir/backup1", '-Fp',
+			"-T$shorter_tempdir/tblspc1=$tempdir/tbackup/tblspc1"
+		],
+		'plain format with tablespaces succeeds with tablespace mapping'
+	);
 	ok(-d "$tempdir/tbackup/tblspc1", 'tablespace was relocated');
 	opendir(my $dh, "$pgdata/pg_tblspc") or die;
-	ok( (   grep {
+	ok(
+		(
+			grep {
 				-l "$tempdir/backup1/pg_tblspc/$_"
 				  and readlink "$tempdir/backup1/pg_tblspc/$_" eq
 				  "$tempdir/tbackup/tblspc1"
-			} readdir($dh)),
-		"tablespace symlink was updated");
+			} readdir($dh)
+		),
+		"tablespace symlink was updated"
+	);
 	closedir $dh;
 
 	# Group access should be enabled on all backup files
@@ -308,8 +336,10 @@ SKIP:
 	# Temp relations should not be copied.
 	foreach my $filename (@tempRelationFiles)
 	{
-		ok( !-f "$tempdir/tbackup/tblspc1/$tblSpc1Id/$postgresOid/$filename",
-			"[tblspc1]/$postgresOid/$filename not copied");
+		ok(
+			!-f "$tempdir/tbackup/tblspc1/$tblSpc1Id/$postgresOid/$filename",
+			"[tblspc1]/$postgresOid/$filename not copied"
+		);
 
 		# Also remove temp relation files or tablespace drop will fail.
 		my $filepath =
@@ -319,8 +349,10 @@ SKIP:
 		  or BAIL_OUT("unable to unlink $filepath");
 	}
 
-	ok( -d "$tempdir/backup1/pg_replslot",
-		'pg_replslot symlink copied as directory');
+	ok(
+		-d "$tempdir/backup1/pg_replslot",
+		'pg_replslot symlink copied as directory'
+	);
 	rmtree("$tempdir/backup1");
 
 	mkdir "$tempdir/tbl=spc2";
@@ -330,9 +362,12 @@ SKIP:
 	$node->safe_psql('postgres',
 		"CREATE TABLESPACE tblspc2 LOCATION '$shorter_tempdir/tbl=spc2';");
 	$node->command_ok(
-		[   'pg_basebackup', '-D', "$tempdir/backup3", '-Fp',
-			"-T$shorter_tempdir/tbl\\=spc2=$tempdir/tbackup/tbl\\=spc2" ],
-		'mapping tablespace with = sign in path');
+		[
+			'pg_basebackup', '-D', "$tempdir/backup3", '-Fp',
+			"-T$shorter_tempdir/tbl\\=spc2=$tempdir/tbackup/tbl\\=spc2"
+		],
+		'mapping tablespace with = sign in path'
+	);
 	ok(-d "$tempdir/tbackup/tbl=spc2",
 		'tablespace with = sign was relocated');
 	$node->safe_psql('postgres', "DROP TABLESPACE tblspc2;");
@@ -358,15 +393,18 @@ my $port = $node->port;
 like(
 	$recovery_conf,
 	qr/^standby_mode = 'on'\n/m,
-	'recovery.conf sets standby_mode');
+	'recovery.conf sets standby_mode'
+);
 like(
 	$recovery_conf,
 	qr/^primary_conninfo = '.*port=$port.*'\n/m,
-	'recovery.conf sets primary_conninfo');
+	'recovery.conf sets primary_conninfo'
+);
 
 $node->command_ok(
 	[ 'pg_basebackup', '-D', "$tempdir/backupxd" ],
-	'pg_basebackup runs in default xlog mode');
+	'pg_basebackup runs in default xlog mode'
+);
 ok(grep(/^[0-9A-F]{24}$/, slurp_dir("$tempdir/backupxd/pg_wal")),
 	'WAL files copied');
 rmtree("$tempdir/backupxd");
@@ -389,52 +427,66 @@ $node->command_ok(
 ok(-f "$tempdir/backupxst/pg_wal.tar", "tar file was created");
 rmtree("$tempdir/backupxst");
 $node->command_ok(
-	[   'pg_basebackup',         '-D',
+	[
+		'pg_basebackup',         '-D',
 		"$tempdir/backupnoslot", '-X',
-		'stream',                '--no-slot' ],
-	'pg_basebackup -X stream runs with --no-slot');
+		'stream',                '--no-slot'
+	],
+	'pg_basebackup -X stream runs with --no-slot'
+);
 rmtree("$tempdir/backupnoslot");
 
 $node->command_fails(
-	[   'pg_basebackup',             '-D',
+	[
+		'pg_basebackup',             '-D',
 		"$tempdir/backupxs_sl_fail", '-X',
 		'stream',                    '-S',
-		'slot0' ],
-	'pg_basebackup fails with nonexistent replication slot');
+		'slot0'
+	],
+	'pg_basebackup fails with nonexistent replication slot'
+);
 
 $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/backupxs_slot", '-C' ],
 	'pg_basebackup -C fails without slot name');
 
 $node->command_fails(
-	[   'pg_basebackup',          '-D',
+	[
+		'pg_basebackup',          '-D',
 		"$tempdir/backupxs_slot", '-C',
 		'-S',                     'slot0',
-		'--no-slot' ],
-	'pg_basebackup fails with -C -S --no-slot');
+		'--no-slot'
+	],
+	'pg_basebackup fails with -C -S --no-slot'
+);
 
 $node->command_ok(
 	[ 'pg_basebackup', '-D', "$tempdir/backupxs_slot", '-C', '-S', 'slot0' ],
-	'pg_basebackup -C runs');
+	'pg_basebackup -C runs'
+);
 rmtree("$tempdir/backupxs_slot");
 
-is( $node->safe_psql(
+is(
+	$node->safe_psql(
 		'postgres',
 		q{SELECT slot_name FROM pg_replication_slots WHERE slot_name = 'slot0'}
 	),
 	'slot0',
-	'replication slot was created');
+	'replication slot was created'
+);
 isnt(
 	$node->safe_psql(
 		'postgres',
 		q{SELECT restart_lsn FROM pg_replication_slots WHERE slot_name = 'slot0'}
 	),
 	'',
-	'restart LSN of new slot is not null');
+	'restart LSN of new slot is not null'
+);
 
 $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/backupxs_slot1", '-C', '-S', 'slot0' ],
-	'pg_basebackup fails with -C -S and a previously existing slot');
+	'pg_basebackup fails with -C -S and a previously existing slot'
+);
 
 $node->safe_psql('postgres',
 	q{SELECT * FROM pg_create_physical_replication_slot('slot1')});
@@ -444,11 +496,15 @@ my $lsn = $node->safe_psql('postgres',
 is($lsn, '', 'restart LSN of new slot is null');
 $node->command_fails(
 	[ 'pg_basebackup', '-D', "$tempdir/fail", '-S', 'slot1', '-X', 'none' ],
-	'pg_basebackup with replication slot fails without WAL streaming');
+	'pg_basebackup with replication slot fails without WAL streaming'
+);
 $node->command_ok(
-	[   'pg_basebackup', '-D', "$tempdir/backupxs_sl", '-X',
-		'stream',        '-S', 'slot1' ],
-	'pg_basebackup -X stream with replication slot runs');
+	[
+		'pg_basebackup', '-D', "$tempdir/backupxs_sl", '-X',
+		'stream',        '-S', 'slot1'
+	],
+	'pg_basebackup -X stream with replication slot runs'
+);
 $lsn = $node->safe_psql('postgres',
 	q{SELECT restart_lsn FROM pg_replication_slots WHERE slot_name = 'slot1'}
 );
@@ -456,13 +512,17 @@ like($lsn, qr!^0/[0-9A-Z]{7,8}$!, 'restart LSN of slot has advanced');
 rmtree("$tempdir/backupxs_sl");
 
 $node->command_ok(
-	[   'pg_basebackup', '-D', "$tempdir/backupxs_sl_R", '-X',
-		'stream',        '-S', 'slot1',                  '-R' ],
-	'pg_basebackup with replication slot and -R runs');
+	[
+		'pg_basebackup', '-D', "$tempdir/backupxs_sl_R", '-X',
+		'stream',        '-S', 'slot1',                  '-R'
+	],
+	'pg_basebackup with replication slot and -R runs'
+);
 like(
 	slurp_file("$tempdir/backupxs_sl_R/recovery.conf"),
 	qr/^primary_slot_name = 'slot1'\n/m,
-	'recovery.conf sets primary_slot_name');
+	'recovery.conf sets primary_slot_name'
+);
 
 my $checksum = $node->safe_psql('postgres', 'SHOW data_checksums;');
 is($checksum, 'on', 'checksums are enabled');
@@ -493,7 +553,8 @@ $node->command_checks_all(
 	1,
 	[qr{^$}],
 	[qr/^WARNING.*checksum verification failed/s],
-	'pg_basebackup reports checksum mismatch');
+	'pg_basebackup reports checksum mismatch'
+);
 rmtree("$tempdir/backup_corrupt");
 
 # induce further corruption in 5 more blocks
@@ -513,7 +574,8 @@ $node->command_checks_all(
 	1,
 	[qr{^$}],
 	[qr/^WARNING.*further.*failures.*will.not.be.reported/s],
-	'pg_basebackup does not report more than 5 checksum mismatches');
+	'pg_basebackup does not report more than 5 checksum mismatches'
+);
 rmtree("$tempdir/backup_corrupt2");
 
 # induce corruption in a second file
@@ -529,13 +591,15 @@ $node->command_checks_all(
 	1,
 	[qr{^$}],
 	[qr/^WARNING.*7 total checksum verification failures/s],
-	'pg_basebackup correctly report the total number of checksum mismatches');
+	'pg_basebackup correctly report the total number of checksum mismatches'
+);
 rmtree("$tempdir/backup_corrupt3");
 
 # do not verify checksums, should return ok
 $node->command_ok(
 	[ 'pg_basebackup', '-D', "$tempdir/backup_corrupt4", '-k' ],
-	'pg_basebackup with -k does not report checksum mismatch');
+	'pg_basebackup with -k does not report checksum mismatch'
+);
 rmtree("$tempdir/backup_corrupt4");
 
 $node->safe_psql('postgres', "DROP TABLE corrupt1;");
diff --git a/src/bin/pg_basebackup/t/020_pg_receivewal.pl b/src/bin/pg_basebackup/t/020_pg_receivewal.pl
index 0793f9c..2ef237f 100644
--- a/src/bin/pg_basebackup/t/020_pg_receivewal.pl
+++ b/src/bin/pg_basebackup/t/020_pg_receivewal.pl
@@ -23,10 +23,12 @@ $primary->command_fails(['pg_receivewal'],
 	'pg_receivewal needs target directory specified');
 $primary->command_fails(
 	[ 'pg_receivewal', '-D', $stream_dir, '--create-slot', '--drop-slot' ],
-	'failure if both --create-slot and --drop-slot specified');
+	'failure if both --create-slot and --drop-slot specified'
+);
 $primary->command_fails(
 	[ 'pg_receivewal', '-D', $stream_dir, '--create-slot' ],
-	'failure if --create-slot specified without --slot');
+	'failure if --create-slot specified without --slot'
+);
 $primary->command_fails(
 	[ 'pg_receivewal', '-D', $stream_dir, '--synchronous', '--no-sync' ],
 	'failure if --synchronous specified with --no-sync');
@@ -57,9 +59,12 @@ $primary->psql('postgres',
 
 # Stream up to the given position.
 $primary->command_ok(
-	[   'pg_receivewal', '-D',     $stream_dir,     '--verbose',
-		'--endpos',      $nextlsn, '--synchronous', '--no-loop' ],
-	'streaming some WAL with --synchronous');
+	[
+		'pg_receivewal', '-D',     $stream_dir,     '--verbose',
+		'--endpos',      $nextlsn, '--synchronous', '--no-loop'
+	],
+	'streaming some WAL with --synchronous'
+);
 
 # Permissions on WAL files should be default
 SKIP:
diff --git a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
index e9d0941..c2e4e70 100644
--- a/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
+++ b/src/bin/pg_basebackup/t/030_pg_recvlogical.pl
@@ -19,7 +19,8 @@ max_replication_slots = 4
 max_wal_senders = 4
 log_min_messages = 'debug1'
 log_error_verbosity = verbose
-});
+}
+);
 $node->dump_info;
 $node->start;
 
@@ -29,16 +30,22 @@ $node->command_fails([ 'pg_recvlogical', '-S', 'test' ],
 $node->command_fails([ 'pg_recvlogical', '-S', 'test', '-d', 'postgres' ],
 	'pg_recvlogical needs an action');
 $node->command_fails(
-	[   'pg_recvlogical',           '-S',
+	[
+		'pg_recvlogical',           '-S',
 		'test',                     '-d',
-		$node->connstr('postgres'), '--start' ],
-	'no destination file');
+		$node->connstr('postgres'), '--start'
+	],
+	'no destination file'
+);
 
 $node->command_ok(
-	[   'pg_recvlogical',           '-S',
+	[
+		'pg_recvlogical',           '-S',
 		'test',                     '-d',
-		$node->connstr('postgres'), '--create-slot' ],
-	'slot created');
+		$node->connstr('postgres'), '--create-slot'
+	],
+	'slot created'
+);
 
 my $slot = $node->slot('test');
 isnt($slot->{'restart_lsn'}, '', 'restart lsn is defined for new slot');
@@ -51,6 +58,9 @@ my $nextlsn =
 chomp($nextlsn);
 
 $node->command_ok(
-	[   'pg_recvlogical', '-S', 'test', '-d', $node->connstr('postgres'),
-		'--start', '--endpos', "$nextlsn", '--no-loop', '-f', '-' ],
-	'replayed a transaction');
+	[
+		'pg_recvlogical', '-S', 'test', '-d', $node->connstr('postgres'),
+		'--start', '--endpos', "$nextlsn", '--no-loop', '-f', '-'
+	],
+	'replayed a transaction'
+);
diff --git a/src/bin/pg_controldata/t/001_pg_controldata.pl b/src/bin/pg_controldata/t/001_pg_controldata.pl
index a9862ae..e871d73 100644
--- a/src/bin/pg_controldata/t/001_pg_controldata.pl
+++ b/src/bin/pg_controldata/t/001_pg_controldata.pl
@@ -33,7 +33,10 @@ close $fh;
 command_checks_all(
 	[ 'pg_controldata', $node->data_dir ],
 	0,
-	[   qr/WARNING: Calculated CRC checksum does not match value stored in file/,
-		qr/WARNING: invalid WAL segment size/ ],
+	[
+		qr/WARNING: Calculated CRC checksum does not match value stored in file/,
+		qr/WARNING: invalid WAL segment size/
+	],
 	[qr/^$/],
-	'pg_controldata with corrupted pg_control');
+	'pg_controldata with corrupted pg_control'
+);
diff --git a/src/bin/pg_ctl/t/001_start_stop.pl b/src/bin/pg_ctl/t/001_start_stop.pl
index 5bbb799..50a57d0 100644
--- a/src/bin/pg_ctl/t/001_start_stop.pl
+++ b/src/bin/pg_ctl/t/001_start_stop.pl
@@ -36,7 +36,8 @@ else
 close $conf;
 my $ctlcmd = [
 	'pg_ctl', 'start', '-D', "$tempdir/data", '-l',
-	"$TestLib::log_path/001_start_stop_server.log" ];
+	"$TestLib::log_path/001_start_stop_server.log"
+];
 if ($Config{osname} ne 'msys')
 {
 	command_like($ctlcmd, qr/done.*server started/s, 'pg_ctl start');
diff --git a/src/bin/pg_ctl/t/003_promote.pl b/src/bin/pg_ctl/t/003_promote.pl
index ecb294b..76bd83d 100644
--- a/src/bin/pg_ctl/t/003_promote.pl
+++ b/src/bin/pg_ctl/t/003_promote.pl
@@ -10,7 +10,8 @@ my $tempdir = TestLib::tempdir;
 command_fails_like(
 	[ 'pg_ctl', '-D', "$tempdir/nonexistent", 'promote' ],
 	qr/directory .* does not exist/,
-	'pg_ctl promote with nonexistent directory');
+	'pg_ctl promote with nonexistent directory'
+);
 
 my $node_primary = get_new_node('primary');
 $node_primary->init(allows_streaming => 1);
@@ -18,14 +19,16 @@ $node_primary->init(allows_streaming => 1);
 command_fails_like(
 	[ 'pg_ctl', '-D', $node_primary->data_dir, 'promote' ],
 	qr/PID file .* does not exist/,
-	'pg_ctl promote of not running instance fails');
+	'pg_ctl promote of not running instance fails'
+);
 
 $node_primary->start;
 
 command_fails_like(
 	[ 'pg_ctl', '-D', $node_primary->data_dir, 'promote' ],
 	qr/not in standby mode/,
-	'pg_ctl promote of primary instance fails');
+	'pg_ctl promote of primary instance fails'
+);
 
 my $node_standby = get_new_node('standby');
 $node_primary->backup('my_backup');
@@ -39,9 +42,12 @@ is($node_standby->safe_psql('postgres', 'SELECT pg_is_in_recovery()'),
 command_ok([ 'pg_ctl', '-D', $node_standby->data_dir, '-W', 'promote' ],
 	'pg_ctl -W promote of standby runs');
 
-ok( $node_standby->poll_query_until(
-		'postgres', 'SELECT NOT pg_is_in_recovery()'),
-	'promoted standby is not in recovery');
+ok(
+	$node_standby->poll_query_until(
+		'postgres', 'SELECT NOT pg_is_in_recovery()'
+	),
+	'promoted standby is not in recovery'
+);
 
 # same again with default wait option
 $node_standby = get_new_node('standby2');
diff --git a/src/bin/pg_dump/t/001_basic.pl b/src/bin/pg_dump/t/001_basic.pl
index 8be5770..6c200aa 100644
--- a/src/bin/pg_dump/t/001_basic.pl
+++ b/src/bin/pg_dump/t/001_basic.pl
@@ -31,17 +31,20 @@ program_options_handling_ok('pg_dumpall');
 command_fails_like(
 	[ 'pg_dump', 'qqq', 'abc' ],
 	qr/\Qpg_dump: too many command-line arguments (first is "abc")\E/,
-	'pg_dump: too many command-line arguments (first is "asd")');
+	'pg_dump: too many command-line arguments (first is "asd")'
+);
 
 command_fails_like(
 	[ 'pg_restore', 'qqq', 'abc' ],
 	qr/\Qpg_restore: too many command-line arguments (first is "abc")\E/,
-	'pg_restore too many command-line arguments (first is "abc")');
+	'pg_restore too many command-line arguments (first is "abc")'
+);
 
 command_fails_like(
 	[ 'pg_dumpall', 'qqq', 'abc' ],
 	qr/\Qpg_dumpall: too many command-line arguments (first is "qqq")\E/,
-	'pg_dumpall: too many command-line arguments (first is "qqq")');
+	'pg_dumpall: too many command-line arguments (first is "qqq")'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-s', '-a' ],
@@ -58,12 +61,14 @@ command_fails_like(
 command_fails_like(
 	[ 'pg_restore', '-d', 'xxx', '-f', 'xxx' ],
 	qr/\Qpg_restore: options -d\/--dbname and -f\/--file cannot be used together\E/,
-	'pg_restore: options -d/--dbname and -f/--file cannot be used together');
+	'pg_restore: options -d/--dbname and -f/--file cannot be used together'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-c', '-a' ],
 	qr/\Qpg_dump: options -c\/--clean and -a\/--data-only cannot be used together\E/,
-	'pg_dump: options -c/--clean and -a/--data-only cannot be used together');
+	'pg_dump: options -c/--clean and -a/--data-only cannot be used together'
+);
 
 command_fails_like(
 	[ 'pg_restore', '-c', '-a' ],
@@ -80,47 +85,56 @@ command_fails_like(
 command_fails_like(
 	[ 'pg_dump', '--if-exists' ],
 	qr/\Qpg_dump: option --if-exists requires option -c\/--clean\E/,
-	'pg_dump: option --if-exists requires option -c/--clean');
+	'pg_dump: option --if-exists requires option -c/--clean'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-j3' ],
 	qr/\Qpg_dump: parallel backup only supported by the directory format\E/,
-	'pg_dump: parallel backup only supported by the directory format');
+	'pg_dump: parallel backup only supported by the directory format'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-j', '-1' ],
 	qr/\Qpg_dump: invalid number of parallel jobs\E/,
-	'pg_dump: invalid number of parallel jobs');
+	'pg_dump: invalid number of parallel jobs'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-F', 'garbage' ],
 	qr/\Qpg_dump: invalid output format\E/,
-	'pg_dump: invalid output format');
+	'pg_dump: invalid output format'
+);
 
 command_fails_like(
 	[ 'pg_restore', '-j', '-1' ],
 	qr/\Qpg_restore: invalid number of parallel jobs\E/,
-	'pg_restore: invalid number of parallel jobs');
+	'pg_restore: invalid number of parallel jobs'
+);
 
 command_fails_like(
 	[ 'pg_restore', '--single-transaction', '-j3' ],
 	qr/\Qpg_restore: cannot specify both --single-transaction and multiple jobs\E/,
-	'pg_restore: cannot specify both --single-transaction and multiple jobs');
+	'pg_restore: cannot specify both --single-transaction and multiple jobs'
+);
 
 command_fails_like(
 	[ 'pg_dump', '-Z', '-1' ],
 	qr/\Qpg_dump: compression level must be in range 0..9\E/,
-	'pg_dump: compression level must be in range 0..9');
+	'pg_dump: compression level must be in range 0..9'
+);
 
 command_fails_like(
 	[ 'pg_restore', '--if-exists' ],
 	qr/\Qpg_restore: option --if-exists requires option -c\/--clean\E/,
-	'pg_restore: option --if-exists requires option -c/--clean');
+	'pg_restore: option --if-exists requires option -c/--clean'
+);
 
 command_fails_like(
 	[ 'pg_restore', '-F', 'garbage' ],
 	qr/\Qpg_restore: unrecognized archive format "garbage";\E/,
-	'pg_dump: unrecognized archive format');
+	'pg_dump: unrecognized archive format'
+);
 
 # pg_dumpall command-line argument checks
 command_fails_like(
@@ -144,4 +158,5 @@ command_fails_like(
 command_fails_like(
 	[ 'pg_dumpall', '--if-exists' ],
 	qr/\Qpg_dumpall: option --if-exists requires option -c\/--clean\E/,
-	'pg_dumpall: option --if-exists requires option -c/--clean');
+	'pg_dumpall: option --if-exists requires option -c/--clean'
+);
